Name: smeserver-nginx
Version: 0.0.5
Release: 3%{?dist}
Summary: nginx for Koozali SME Server
License: GPL
Source0: %{name}-%{version}.tar.gz
Patch0: smeserver-nginx-0.0.5-template.patch
Patch1: smeserver-nginx-0.0.5-bz12397.patch

BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: nginx

%description
nginx for Koozali SME Server, fast scalable webserver with advanced reverse proxy functions

%prep
%setup -q
%autopatch -p1

%build
perl createlinks

%install
rm -rf %{buildroot}
(cd root ; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} > %{name}-%{version}-%{release}-filelist


%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%changelog
* Mon Aug 14 2023 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-3.sme
- remove nginx restart from post-upgrade [SME: 12397]

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-2.sme
- fix fragment order

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-1.sme
- Initial import to Koozali SME 10

* Fri Mar 09 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-1
- First release
